Subject: Re: [RFC] Option to disable mapping genrtc calls to ppc_md calls

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 21 Jan 2005 11:01:12 +1100

On Thu, 2005-01-20 at 16:54 -0700, Mark A. Greer wrote:

> Choosing a) give you more flexibility within PPC but is PPC only; 
> choosing b) is generic but assumes its the only rtc chip that will be 
> used by whatever kernel binary its put in.
> 
> I chose b) and to reuse the genrtc code.  In a sane world, reusing code 
> is considered a good thing...
> 
> Its obvious that you and Tom prefer a).  That's fine but if I switch to 
> a), I know the first comment I'll get when I post the driver to lmkl 
> will be, "Why would you make this ppc-specific when you could have made 
> it generic?"  Will you and Tom then defend that decision for me?
> 
> Also, this is not board-specific as you and Tom have tried to suggest.  
> Assuming I change the #ifdef in rtc.h to remove the option as I think 
> Tom and I are agreeing upon, you select the i2c algo/adapter, the 
> i2c/rtc client and its there.  Where are the "gross hacks for every board"?

Because it makes things like CONFIG_PPC_MULTIPLATFORM impossible, which
means you end up with a CONFIG_* mess.

I consider that more important than re-using code.

In any case, as I wrote, the proper solution is to update genrtc to
define rtc_ops so that you get both a) and b), it shouldn't be hard to
update the archs using it.

Ben.